
Foreman - Bug #14737

Changing Host Group does not change operating system

04/20/2016 03:58 PM - Partha Aji

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Create 2 Host groups "hostgroup-rh" with OS  -> Redhat and  "hostgroup-fedora" with OS fedora

Go to the New Hosts page pick hostgroup-rh -> the operating system tab reflect fedora

Now go back to main screen and change the host group to "hostgroup-fedora" .

Expected:

OS updates to fedora

Actual:

No changes

This is because of the following line of code

https://github.com/theforeman/foreman/blob/5742cd06c6cd4d3048aa82ea48a9d3d183075816/app/models/host/managed.rb#L976

Notice how it says update the attribute only if its previously not set. This runs counter to the user perspective who expect the

hostgroup change to be propagated across the board.

self.send("#{attr}=", value) unless send(attr).present?

Related issues:

Is duplicate of Foreman - Bug #8245: Changing to a new host group does not up... Resolved 11/03/2014

History

#1 - 04/20/2016 03:58 PM - Partha Aji

- Project changed from Katello to Foreman

#2 - 04/21/2016 03:15 AM - Dominic Cleal

- Is duplicate of Bug #8245: Changing to a new host group does not update the operating system in new host form added

#3 - 04/21/2016 03:16 AM - Dominic Cleal

- Status changed from New to Duplicate
